### Method

# Fwupd BiosSetting set_upper_bound

since: 1.8.4

#### Declaration [src]

    void
    fwupd_bios_setting_set_upper_bound (
      FwupdBiosSetting* self,
      guint64 val
    )

#### Description [src]

Sets the upper bound used for BIOS integer attributes or max length for string attributes.

Available since: 1.8.4

#### Parameters

`val`

  Type: `guint64`

  A guint64 value to set bound to.